features:
- name: column-fill
  # When modifying this classifier, please make corresponding changes to the
  # classifier for the `multi-column` feature below.
  files:
  - abspos-autopos-contained-by-viewport-000.html
  - abspos-autopos-contained-by-viewport-001.html
  - abspos-multicol-in-second-outer-clipped.html
  - auto-fill-auto-size-001-print.html
  - auto-fill-auto-size-002-print.html
  - baseline-000.html
  - baseline-001.html
  - baseline-008.html
  - broken-column-rule-1.html
  - change-abspos-width-in-second-column-crash.html
  - change-fragmentainer-size-*
  - "!change-fragmentainer-size-001.html"
  - change-intrinsic-width.html
  - change-transform*
  - column-fill-balance-orthog-block-001.html
  - column-height-0*
  - "!column-height-003.html"
  - "!column-height-008.html"
  - "!column-height-009.html"
  - column-height-010.html
  - column-height-011.html
  - column-height-015.html
  - column-height-021.html
  - column-height-022.html
  - column-height-023.html
  - column-rule-002.html
  - columnfill-auto-max-height-*
  - equal-gap-and-rule.html
  - extremely-tall-multicol-with-extremely-tall-child-crash.html
  - fixed-*
  - fixedpos-static-pos-with-viewport-cb-*
  - getclientrects-*
  - "!getclientrects-000.html"
  - "!getclientrects-001.html"
  - hit-test-transformed-child.html
  - inheritance.html
  - intrinsic-width-change-column-count.html
  - large-actual-column-count.html
  - multicol-br-inside-avoidcolumn-001.xht
  - multicol-break-*
  - multicol-breaking-*
  - multicol-breaking-*
  - multicol-containing-003.html
  - multicol-fill-000.xht
  - multicol-fill-001.xht
  - multicol-fill-auto-*
  - multicol-fill-balance-001.xht
  - multicol-fill-balance-002.html
  - multicol-fill-balance-003.html
  - multicol-fill-balance-004.html
  - multicol-fill-balance-020.html
  - multicol-fill-balance-026.html
  - multicol-fill-balance-030.html
  - multicol-fill-balance-nested-000.html
  - multicol-gap-fraction-002.html
  - multicol-height-*
  - multicol-list-item-008.html
  - multicol-margin-*
  - multicol-margin-002.xht
  - "!multicol-margin-003.html"
  - multicol-nested-*
  - "!multicol-nested-002.xht"
  - "!multicol-nested-005.xht"
  - "!multicol-nested-030.html"
  - "!multicol-nested-column-rule-001.xht"
  - "!multicol-nested-margin-*"
  - multicol-oof-inline-cb-*
  - multicol-overflow-000.xht
  - multicol-rule-004.xht
  - named-page.html
  - nested-*
  - "!nested-balanced-monolithic-multicol-crash.html"
  - "!nested-oofs-in-relative-multicol.html"
  - offsetProps-001.html
  - oof-nested-in-single-column.html
  - overflow-scroll-in-multicol-crash.html
  - page-property-ignored.html
  - paint-containment-001.html
  - resize-in-strict-containment-nested.html
  - resize-multicol-with-fixed-size-children*
  - subpixel-scroll-crash.html
  - with-custom-layout-on-same-element-crash.https.html
- name: column-span
  # When modifying this classifier, please make corresponding changes to the
  # classifier for the `multi-column` feature below.
  files:
  - "*spanner*"
  - "!change-transform-in-spanner.html"
  - "*-span-*"
  - "*column-span*"
  - baseline-003.html
  - baseline-004.html
  - baseline-005.html
  - baseline-006.html
  - baseline-007.html
  - change-out-of-flow-type-and-remove-inner-multicol-crash.html
  - column-balancing-paged-001-print.html
  - intrinsic-size-002.html
  - intrinsic-size-003.html
  - intrinsic-size-004.html
  - intrinsic-size-005.html
  - multicol-fill-auto-block-children-001.xht
  - multicol-fill-auto-block-children-002.xht
  - multicol-width-004.html
  - multicol-width-005.html
  - spanning-legend-*
- name: column-pseudo
  files:
  - column-pseudo-background-color.html
- name: multi-column
  files:
  - "*"
  # The following patterns are intended to match every file that isn't matched by "column-fill" above.
  - "!abspos-autopos-contained-by-viewport-000.html"
  - "!abspos-autopos-contained-by-viewport-001.html"
  - "!abspos-multicol-in-second-outer-clipped.html"
  - "!auto-fill-auto-size-001-print.html"
  - "!auto-fill-auto-size-002-print.html"
  - "!baseline-000.html"
  - "!baseline-001.html"
  - "!baseline-008.html"
  - "!broken-column-rule-1.html"
  - "!change-abspos-width-in-second-column-crash.html"
  - "!change-fragmentainer-size-*"
  - change-fragmentainer-size-001.html
  - "!change-intrinsic-width.html"
  - "!change-transform*"
  - "!column-fill-balance-orthog-block-001.html"
  - "!column-height-0*"
  - column-height-003.html
  - column-height-008.html
  - column-height-009.html
  - "!column-rule-002.html"
  - "!columnfill-auto-max-height-*"
  - "!equal-gap-and-rule.html"
  - "!extremely-tall-multicol-with-extremely-tall-child-crash.html"
  - "!fixed-*"
  - "!fixedpos-static-pos-with-viewport-cb-*"
  - "!getclientrects-*"
  - getclientrects-000.html
  - getclientrects-001.html
  - "!hit-test-transformed-child.html"
  - "!inheritance.html"
  - "!intrinsic-width-change-column-count.html"
  - "!large-actual-column-count.html"
  - "!multicol-br-inside-avoidcolumn-001.xht"
  - "!multicol-break-*"
  - "!multicol-breaking-*"
  - "!multicol-containing-003.html"
  - "!multicol-fill-000.xht"
  - "!multicol-fill-001.xht"
  - "!multicol-fill-auto-*"
  - "!multicol-fill-balance-001.xht"
  - "!multicol-fill-balance-002.html"
  - "!multicol-fill-balance-003.html"
  - "!multicol-fill-balance-004.html"
  - "!multicol-fill-balance-020.html"
  - "!multicol-fill-balance-026.html"
  - "!multicol-fill-balance-030.html"
  - "!multicol-fill-balance-nested-000.html"
  - "!multicol-gap-fraction-002.html"
  - "!multicol-height-*"
  - "!multicol-list-item-008.html"
  - "!multicol-margin-*"
  - multicol-margin-003.html
  - "!multicol-nested-*"
  - multicol-nested-002.xht
  - multicol-nested-005.xht
  - multicol-nested-030.html
  - multicol-nested-column-rule-001.xht
  - multicol-nested-margin-*
  - "!multicol-oof-inline-cb-*"
  - "!multicol-overflow-000.xht"
  - "!multicol-rule-004.xht"
  - "!named-page.html"
  - "!nested-*"
  - nested-balanced-monolithic-multicol-crash.html
  - nested-oofs-in-relative-multicol.html
  - "!offsetProps-001.html"
  - "!oof-nested-in-single-column.html"
  - "!overflow-scroll-in-multicol-crash.html"
  - "!page-property-ignored.html"
  - "!paint-containment-001.html"
  - "!resize-in-strict-containment-nested.html"
  - "!resize-multicol-with-fixed-size-children*"
  - "!subpixel-scroll-crash.html"
  - "!with-custom-layout-on-same-element-crash.https.html"
  # The following patterns are intended to match every file that isn't matched by "column-span" above.
  - "!*spanner*"
  - change-transform-in-spanner.html
  - "!*-span-*"
  - "!*column-span*"
  - "!baseline-003.html"
  - "!baseline-004.html"
  - "!baseline-005.html"
  - "!baseline-006.html"
  - "!baseline-007.html"
  - "!change-out-of-flow-type-and-remove-inner-multicol-crash.html"
  - "!column-balancing-paged-001-print.html"
  - "!intrinsic-size-002.html"
  - "!intrinsic-size-003.html"
  - "!intrinsic-size-004.html"
  - "!intrinsic-size-005.html"
  - "!multicol-width-004.html"
  - "!multicol-width-005.html"
  - "!spanning-legend-*"
  # The following patterns are intended to match every file that isn't matched by "column-pseudo" above.
  - "!column-pseudo-background-color.html"
